CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::RangeError Class Reference
FITS Exceptions

exception to be thrown for inputs that cause range errors in column read operations. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::RangeError:

List of all members.

## Public Member Functions
| RangeError (const String &msg, bool silent=true)
| Exception ctor, prefixes the string "FitsError: Range error in operation " before the specific message.

## Detailed Description

exception to be thrown for inputs that cause range errors in column read operations.

Range errors here mean (last < first) in a request to read a range of rows.

## Constructor & Destructor Documentation

CCfits::Column::RangeError::RangeError | ( | const String & | msg,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: Range error in operation " before the specific message.

Parameters:

  msg | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx